% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/filter_by_abs_b.R
\name{filter_by_abs_b}
\alias{filter_by_abs_b}
\title{Filters data frame by absolute b-values, returning rows meeting or
exceeding a threshold.}
\usage{
filter_by_abs_b(result, logfcThreshold)
}
\arguments{
\item{result}{Dataframe that contains gene-SNP pairs' information.}

\item{logfcThreshold}{Represents the minimum beta threshold for fitting
SNP-Gene pairs. Default by 0.1.}
}
\value{
A dataframe filtered by absolute b-values.
}
\description{
Filters data frame by absolute b-values, returning rows meeting or
exceeding a threshold.
}
\examples{
example_result <- data.frame(
  gene = c("Gene1", "Gene2", "Gene3", "Gene4"),
  SNP = c("SNP1", "SNP2", "SNP3", "SNP4"),
  b = c(-2.5, 1.0, -0.5, 3.0))
logfcThreshold <- 0.1
filtered_result <- filter_by_abs_b(example_result, logfcThreshold)
}
